Bug 1238958 - dnf-automatic fails to send mail
Summary: dnf-automatic fails to send mail
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 22
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Silhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-03 07:19 UTC by Michael Lipp
Modified: 2015-08-11 02:08 UTC (History)
8 users (show)

Fixed In Version: dnf-1.0.2-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-11 02:08:37 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1205775 None None None Never

Description Michael Lipp 2015-07-03 07:19:55 UTC
Description of problem:

dnf-automatic doesn't send mail

Version-Release number of selected component (if applicable):

1.0.1-2.fc22

How reproducible:

Always.

Steps to Reproduce:

Configure and run.

Actual results:

Jul 03 09:09:17 artemis python[10010]: detected unhandled Python exception in '/usr/bin/dnf-automatic'
Jul 03 09:09:17 artemis abrt-server[12150]: ABRT_IGNORE variable is 1 - not saving the crash
Jul 03 09:09:17 artemis abrt-server[12150]: 'post-create' on '/var/spool/abrt/Python-2015-07-03-09:09:17-10010' exited with 1
Jul 03 09:09:17 artemis abrt-server[12150]: Deleting problem directory '/var/spool/abrt/Python-2015-07-03-09:09:17-10010'
Jul 03 09:09:17 artemis dnf-automatic[10010]: Traceback (most recent call last):
Jul 03 09:09:17 artemis dnf-automatic[10010]: File "/usr/bin/dnf-automatic", line 32, in <module>
Jul 03 09:09:17 artemis dnf-automatic[10010]: sys.exit(dnf.automatic.main.main(sys.argv[1:]))
Jul 03 09:09:17 artemis dnf-automatic[10010]: File "/usr/lib/python2.7/site-packages/dnf/automatic/main.py", line 168, in main
Jul 03 09:09:17 artemis dnf-automatic[10010]: emitters.commit()
Jul 03 09:09:17 artemis dnf-automatic[10010]: File "/usr/lib/python2.7/site-packages/dnf/util.py", line 305, in fn
Jul 03 09:09:17 artemis dnf-automatic[10010]: return list(map(call_what, self))
Jul 03 09:09:17 artemis dnf-automatic[10010]: File "/usr/lib/python2.7/site-packages/dnf/util.py", line 304, in call_what
Jul 03 09:09:17 artemis dnf-automatic[10010]: return method(*args, **kwargs)
Jul 03 09:09:17 artemis dnf-automatic[10010]: File "/usr/lib/python2.7/site-packages/dnf/automatic/emitter.py", line 89, in commit
Jul 03 09:09:17 artemis dnf-automatic[10010]: message = email.mime.text.MIMEText(body)
Jul 03 09:09:17 artemis dnf-automatic[10010]: File "/usr/lib64/python2.7/email/mime/text.py", line 30, in __init__
Jul 03 09:09:17 artemis dnf-automatic[10010]: self.set_payload(_text, _charset)
Jul 03 09:09:17 artemis dnf-automatic[10010]: File "/usr/lib64/python2.7/email/message.py", line 226, in set_payload
Jul 03 09:09:17 artemis dnf-automatic[10010]: self.set_charset(charset)
Jul 03 09:09:17 artemis dnf-automatic[10010]: File "/usr/lib64/python2.7/email/message.py", line 262, in set_charset
Jul 03 09:09:17 artemis dnf-automatic[10010]: self._payload = self._payload.encode(charset.output_charset)
Jul 03 09:09:17 artemis dnf-automatic[10010]: UnicodeEncodeError: 'ascii' codec can't encode character u'\xbb' in position 42: ordinal not in range(128)
Jul 03 09:09:17 artemis systemd[1]: dnf-automatic.service: main process exited, code=exited, status=1/FAILURE
Jul 03 09:09:17 artemis systemd[1]: Failed to start dnf automatic.
Jul 03 09:09:17 artemis systemd[1]: Unit dnf-automatic.service entered failed state.
Jul 03 09:09:17 artemis systemd[1]: dnf-automatic.service failed.
Jul 03 09:09:17 artemis audit[1]: <audit-1130> pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dnf-automatic comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Jul 03 09:09:17 artemis polkitd[648]: Unregistered Authentication Agent for unix-process:10005:50694813 (system bus name :1.158, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale de_DE.utf8) (disconnected from bus)


Expected results:

A mail reporting success or failure

Comment 1 Honza Silhan 2015-07-03 20:28:46 UTC
Fixed in the upstream.

Comment 2 Fedora Update System 2015-07-22 08:25:31 UTC
dnf-1.0.2-2.fc22,hawkey-0.5.9-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-1.0.2-2.fc22,hawkey-0.5.9-2.fc22

Comment 3 Fedora Update System 2015-08-01 02:28:40 UTC
Package dnf-1.0.2-3.fc22, hawkey-0.5.9-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-1.0.2-3.fc22 hawkey-0.5.9-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12577/dnf-1.0.2-3.fc22,hawkey-0.5.9-3.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-08-11 02:08:37 UTC
dnf-1.0.2-3.fc22, hawkey-0.5.9-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.